%% 2012/09/10 ThB: I try to document this file!
%% This one is a verbatim copy of a cedram file, probably most of it useless to EuDML 
\usepackage{CDRmeta}

%% This one is was where you should add character support when it is missing or wrong in tralics
%\usepackage{tex2ent}
% I comment out tex2ent, which derives from the file we use in cedram,
% as eudml wants to see no entities, and create a new file tex2hex for
% the same purpose
\usepackage{tex2hex}

%% These are standard tralics configuration for standard latex packages
\usepackage{amsmath}
\usepackage{amsbsy,amscd,amsxtra}

%% These are my (ThB) mods/add-ons to standard tralics behavioir
\usepackage{amsmathpatch}
\usepackage{mmlpatch}

%% support for various frequent font switch commands
\let\Bbb\mathbb
\let\goth\mathfrak
\let\frak\mathfrak
\let\germ\mathfrak
\let\scr\mathcal
\let\cal\mathcal
\let\Cal\mathcal
\let\bold\mathbf
\let\mathbold\mathbf
\let\petcap\textsc

%% Text Greek 
\def\textalpha{\ensuremath{\alpha}}
\def\textbeta{\ensuremath{\beta}}
\def\textgamma{\ensuremath{\gamma}}
\def\textGamma{\ensuremath{\Gamma}}
\def\textdelta{\ensuremath{\delta}}
\def\textDelta{\ensuremath{\Delta}}
\def\textepsilon{\ensuremath{\varepsilon}}
\def\textkappa{\ensuremath{\kappa}}
\def\textlambda{\ensuremath{\lambda}}
\def\textLambda{\ensuremath{\Lambda}}
\def\textmu{\ensuremath{\mu}}
\def\textnu{\ensuremath{\nu}}
\def\textpi{\ensuremath{\pi}}
\def\textPi{\ensuremath{\Pi}}
\def\textphi{\ensuremath{\phi}}
\def\textPhi{\ensuremath{\Phi}}
\def\textchi{\ensuremath{\chi}}
\def\textsigma{\ensuremath{\sigma}}
\def\textSigma{\ensuremath{\Sigma}}
\def\texttau{\ensuremath{\tau}}

%% The black board bold problem
%% commands that we met and have low chances to mean something else...
\let\bb\mathbb
\let\bbf=\mathbb
%% bbm
\let\mathbbm\mathbb
\let\mathbbmss\mathbb
\let\mathbbmtt\mathbb
%% chars
\def\bbfA{\mathbb{A}}
\def\bbfB{\mathbb{B}}
\def\bbfC{\mathbb{C}}
\def\bbfD{\mathbb{D}}
\def\bbfE{\mathbb{E}}
\def\bbfF{\mathbb{F}}
\def\bbfG{\mathbb{G}}
\def\bbfH{\mathbb{H}}
\def\bbfI{\mathbb{I}}
\def\bbfJ{\mathbb{J}}
\def\bbfK{\mathbb{K}}
\def\bbfL{\mathbb{L}}
\def\bbfM{\mathbb{M}}
\def\bbfN{\mathbb{N}}
\def\bbfO{\mathbb{O}}
\def\bbfP{\mathbb{P}}
\def\bbfQ{\mathbb{Q}}
\def\bbfR{\mathbb{R}}
\def\bbfS{\mathbb{S}}
\def\bbfT{\mathbb{T}}
\def\bbfU{\mathbb{U}}
\def\bbfV{\mathbb{V}}
\def\bbfW{\mathbb{W}}
\def\bbfX{\mathbb{X}}
\def\bbfY{\mathbb{Y}}
\def\bbfZ{\mathbb{Z}}

\def\bbC{\mathbb{C}}
\def\bbD{\mathbb{D}}
\def\bbF{\mathbb{F}}
\def\bbH{\mathbb{H}}
\def\bbK{\mathbb{K}}
\def\bbN{\mathbb{N}}
\def\bbP{\mathbb{P}}
\def\bbQ{\mathbb{Q}}
\def\bbR{\mathbb{R}}
\def\bbT{\mathbb{T}}
\def\bbZ{\mathbb{Z}}

%% these are slightly more risky...
\def\C{\mathbb{C}}
\def\D{\mathbb{D}}
\def\F{\mathbb{F}}
\def\K{\mathbb{K}}
\def\N{\mathbb{N}}
\def\P{\mathbb{P}}
\def\Q{\mathbb{Q}}
\def\R{\mathbb{R}}
\def\T{\mathbb{T}}
\def\Z{\mathbb{Z}}

\def\CC{\mathbb{C}}
\def\DD{\mathbb{D}}
\def\FF{\mathbb{F}}
\def\KK{\mathbb{K}}
\def\NN{\mathbb{N}}
\def\PP{\mathbb{P}}
\def\QQ{\mathbb{Q}}
\def\RR{\mathbb{R}}
\def\TT{\mathbb{T}}
\def\ZZ{\mathbb{Z}}

%% What if \cite in metadata ?
%% We just define the same syntax as in latex and print.
%%% Copie \cite dans latex.ltx
\def\@nnil{\@nil}
\def\@empty{}
\def\@fornoop#1\@@#2#3{}
\long\def\@for#1:=#2\do#3{%
  \expandafter\def\expandafter\@fortmp\expandafter{#2}%
  \ifx\@fortmp\@empty \else
    \expandafter\@forloop#2,\@nil,\@nil\@@#1{#3}\fi}
\long\def\@forloop#1,#2,#3\@@#4#5{\def#4{#1}\ifx #4\@nnil \else
       #5\def#4{#2}\ifx #4\@nnil \else#5\@iforloop #3\@@#4{#5}\fi\fi}
\long\def\@iforloop#1,#2\@@#3#4{\def#3{#1}\ifx #3\@nnil
       \expandafter\@fornoop \else
      #4\relax\expandafter\@iforloop\fi#2\@@#3{#4}}
%\newwrite\@auxout
%\immediate\openout\@auxout\jobname.ult
\newif\if@tempswa
\renewcommand*\cite{%
  \@ifnextchar [{\@tempswatrue\@citex}{\@tempswafalse\@citex[]}}
\def\@citex[#1]#2{\leavevmode
  \let\@citea\@empty
  \@cite{\@for\@citeb:=#2\do
    {\@citea\def\@citea{,\penalty\@m\ }%
     \edef\@citeb{\expandafter\@firstofone\@citeb\@empty}%
%     \immediate\write\@auxout{\string\xmlbibcitation{\@citeb}}%
     \expandafter\ifx\csname bibrefcite:\@citeb\endcsname\relax\hbox{\bfseries\@citeb}%
\else
       \@cite@ofmt{%
	\cite@one{}{\@citeb}{\csname bibreflabel:\@citeb\endcsname}%
	}\fi}}{#1}}
\def\@cite#1#2{[{#1\if@tempswa , #2\fi}]}
\let\@cite@ofmt\hbox


%% specific Commands for collections that are expected not to conflict...
%% AIF
\def\Orth{\mathrm{O}}
\def\GL{GL}
\def\card{\operatorname{Card}}
\let\eightpoint\relax
%\newcommand\pointir{.--- }
\newcommand\cf{\textsl{cf.}}
\let\leqno\qquad
\let\thetag\qquad
\def\BibCite#1#2{[#1]}
%% TeX ASENS
\def\slash{/}

%% JEDP 2001
\def\Kob{\mathcal{K}}

%% DML-CZ
\let\fdddot\dddot
\let\dd\ddot
\let\BOF\relax
\def\E{E}
\let\ro\rho
\let\al\alpha
\DeclareMathOperator\sgn{sgn}
\let\div\undefined
\DeclareMathOperator\div{div}
\let\dive\div
\def\twoprime{{\prime\prime}}
\let\unknown\relax
\let\UnimplementedOperator\relax
\let\boldkey\mathbf
\let\mathscr\mathcal
\let\intext\text
\let\bigsqrt\sqrt
\let\big\relax

\def\rightleftarrowsF{\rightleftarrows F}
\def\colonP{\colon P}
\def\gestrict{>}
\def\lestrict{<}
%% ThB : this should be in tex2hex
%%\def\llcorner{^^^^231E}
\def\utilde#1{\mathmi{#1^^^^0330}}

\def\maketag@{\FN@\maketag@@}
\def\maketag@@{\ifx\next"\expandafter\maketag@@@\else\expandafter\maketag@@@@
 \fi}
\def\maketag@@@"#1"#2\maketag@{}                                %1
\def\maketag@@@@#1\maketag@{}
\def\roster{\begin{itemize}\let\itemori\item\def\item"##1"{\itemori[##1]}}
\def\endroster{\end{itemize}}
\let\tagi\tag

\def\JFM#1{\relax}

%% Elibm/amstex
\let\overarrow\overrightarrow
\let\Dj\DJ
\DeclareMathOperator\Aut{Aut}
\DeclareMathOperator\Hom{Hom}
\let\circover\ring
\let\hataccent\hat
\def\eogonek{\k{e}}
\def\Sb{_\begingroup\begin{array}{c}}
\def\endSb{\end{array}\endgroup}
\let\urn\url
\def\buildrel#1\over#2{\mathrel{\mathop{#2}\limits^{#1}}}

%% InftyReader -- slightly risky as it redefines standard latex commands
\def\ovalbox#1{*}
\def\Cyrillic_be{\relax}
\def\title#1{\def\@title{#1}}
\def\date#1{}
\def\maketitle{{\let\\\space\centerline{\@title}}}
\newenvironment{abstract}{\par}{\par}
\def\includegraphics[#1]#2{}

\endinput

